package de.fitko.fitconnect.api.domain.model.submission;


import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Value;

import java.util.Collections;
import java.util.List;

@Value
@Builder
public class SubmissionsForPickup{
    @JsonProperty("count")
    int count;

    @JsonProperty("offset")
    int offset;

    @JsonProperty("totalCount")
    int totalCount;

    @JsonProperty("submissions")
    List<SubmissionForPickup> submissions = Collections.emptyList();
}